Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 5.1.8SynchronousAuth Required
SNSSnmpTestConnection
SNSSnmpTestConnection
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
platformUuidStringOptional. The SNMP Platform UUID.
endpointUuidStringOptional. The SNMP endpoint UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/sns/application-endpoints/snmp/test-connection
/zstack/v1/sns/application-endpoints/snmp/test-connection
Request Example
curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/snmp/test-connection' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"platformUuid":"<platformUuid>","endpointUuid":"<endpointUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "connected": true, "webhookResp": {} }Change History
This API has no change history records yet.
